### Method

# EDataCal CalCache put_timezone

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_put_timezone (
      ECalCache* cal_cache,
      const ICalTimezone* zone,
      guint inc_ref_counts,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Puts the `zone` into the `cal_cache` using its timezone ID as an identificator. The function adds a new or replaces existing, if any such already exists in the `cal_cache`. The function does nothing and returns `TRUE`, when the passed-in `zone` is libical builtin timezone.

Available since: 3.26

#### Parameters

`zone`

  Type: `None`

  An `ICalTimezone` to put.

  The data is owned by the caller of the method.

`inc_ref_counts`

  Type: `guint`

  How many refs to add, or 0 to have it stored forever.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.